Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class LegalCohabitationWithStatusAndSourceType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalLegalCohabitationType
          be.fgov.ehealth.rn.baselegaldata.v1.LegalCohabitationWithStatusAndSourceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class LegalCohabitationWithStatusAndSourceType

extends AbstractOptionalLegalCohabitationType
implements Serializable

Java class for LegalCohabitationWithStatusAndSourceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LegalCohabitationWithStatusAndSourceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalLegalCohabitationType">
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
           <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`LegalCohabitationWithStatusAndSourceType()`

Method Summary
`String` | `getSource()` Gets the value of the source property.
`String` | `getStatus()` Gets the value of the status property.
`void` | `setSource(String value)` Sets the value of the source property.
`void` | `setStatus(String value)` Sets the value of the status property.

Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalLegalCohabitationType
`getInceptionDate, getPartner, getRegistration, setInceptionDate, setPartner, setRegistration`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegalCohabitationWithStatusAndSourceType

    public LegalCohabitationWithStatusAndSourceType()

Method Detail

### getStatus

    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

### getSource

    public String getSource()

  Gets the value of the source property.

  Returns:
    possible object is `String`

### setSource

    public void setSource(String value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.